
#ifndef CURSOR_H
#define CURSOR_H
#include "theme.h"
 typedef struct TkTheme_Cursor_s {
  XColor blankCursorColor;
  Cursor blankCursor;
  Pixmap blankCursorPixmap;
  char *data;
  Display *dis;
  int depth;
  GC drawGC;
  int drawPending;
  Pixmap pix;
  Pixmap pixMask;
  int width;
  int height;
  Window xWin;
  Window root;
  int screenNum;
  Tcl_Command cmd;  

 } TkTheme_Cursor;

 int TkTheme_CursorCmd OBJ_CMD_ARGS; 
 void TkTheme_CursorDraw (TkTheme_Cursor *wPtr);
 int TkTheme_CursorEvent (ClientData clientData, XEvent *eventPtr); 
 void TkTheme_CursorScheduleDraw (TkTheme_Cursor *wPtr);
 int TkTheme_CursorCreateBlank (Tcl_Interp *interp, TkTheme_Cursor *wPtr);
#endif
