#include "label.h"

/*The caller should handle memory management of *text.
 */
void ThemeLabelSetText (ThemeLabel *wPtr, char *text) {
 Tk_FontMetrics fm;
 int length;

 if (NULL != wPtr->text) {
  free (wPtr->text); 
  wPtr->text = NULL;
 }
 
 wPtr->text = safeStrdup (text);

 Tk_GetFontMetrics (wPtr->tkfont, &fm);
 Tk_MeasureChars (wPtr->tkfont, wPtr->text, strlen (wPtr->text), -1, 0, &length);
 Tk_GeometryRequest (wPtr->tkwin, length, (fm.linespace + 2));

 ThemeLabelEventConfigure (wPtr);
}
