
#ifndef THEMELABEL_H
#define THEMELABEL_H

#include <tk.h>
#include "theme.h"

typedef struct ThemeLabel {
 char *varName;
 char *text;
 char *path;
 int eventMask;
 int width;
 int height;
 Tk_Window tkwin;
 Window xWin;
 Display *dis;
 int depth;
 Colormap colormap;
 Tk_Font tkfont;
 GC copyGC;
 int numChars;
 int screen;
 XColor fgCol;
 int noBGPixmap;
 Pixmap pix;
 Pixmap clipMaskPix;
 int drawPending;
} ThemeLabel;

void ThemeLabelCreateClipMask (ThemeLabel *wPtr);
void ThemeLabelCleanupStructure (ThemeLabel *wPtr);
void ThemeLabelDraw (ThemeLabel *wPtr);
void ThemeLabelEvent (ClientData clientData, XEvent *eventPtr);
void ThemeLabelEventConfigure (ThemeLabel *wPtr);
void ThemeLabelSetText (ThemeLabel *wPtr, char *text);
void ThemeLabelScheduleDraw (ThemeLabel *wPtr);
int ThemeLabelCmd OBJ_CMD_ARGS;
#endif
