#include "label.h"

void ThemeLabelCleanupStructure (ThemeLabel *wPtr) {
 if (0 != wPtr->clipMaskPix) {
  XFreePixmap (wPtr->dis, wPtr->clipMaskPix);
 }

 if (0 != wPtr->copyGC) {
  XFreeGC (wPtr->dis, wPtr->copyGC);
 }

 if (NULL != wPtr->path) {
  free (wPtr->path);
 }

 if (0 != wPtr->pix) {
  XFreePixmap (wPtr->dis, wPtr->pix);
 } 

 if (NULL != wPtr->text) {
  free (wPtr->text);
 }

 if (0 != wPtr->tkfont) {
  Tk_FreeFont (wPtr->tkfont);
 }
  
 if (NULL != wPtr->varName) {
  free (wPtr->varName);
 }

 ckfree ((char *)wPtr);
}
